Bug 97917 - (VM)Occasional excessive paging
(VM)Occasional excessive paging
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-06-23 21:12 EDT by Craig Lawson
Modified: 2015-01-04 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-04 23:27:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg log after boot (20.45 KB, text/plain)
2003-06-28 03:22 EDT, Craig Lawson
no flags Details

  None (edit)
Description Craig Lawson 2003-06-23 21:12:20 EDT
Description of problem:
Every few days, OK maybe every week or so, my system gets into a state where 
excessive paging occurs. It goes on for at least 5 minutes. Today, it went on 
for 20 minutes before I reset the system. It's terrible! Response is 
horrendous. User space clocks skip forward 30 seconds at a time.

Version-Release number of selected component (if applicable):
kernel 2.4.20-9

How reproducible:
100%, if you wait long enough.

Steps to Reproduce:
1. Normal usage. Use X. I have Evolution, Opera, a couple terminals, OpenOffice, 
and Acrobat all open.
2. Wait for a while.
Actual results:
After some time and usage, system begins excessive paging activity. Except for 
the disk, which is crazy with activity, system slows to a crawl. Bringing up an 
alternate text terminal and logging in takes 10 minutes, and I never did receive 
a prompt before I lost my patience.
Hitting the power off button results in the message: apm cannot enter requested 
state, busy (or something like that). So I know the system is not dead. It's 
just busy paging.

Expected results:
I expect the paging algorithm to make only a few page faults at a time. In the 
last instance, my system had plenty of RAM allocated for the file cache, and it 
could have easily dumped these pages and swapped into this space. Although it's 
hard to know what it was doing, it seemed like it was rearranging all the pages 
in by some excruciatingly ineffecient means.

Additional info:
Pentium-3, 933 Mhz
512 Mb RAM
512 Mb swap divided evenly across my two IDE drives, equal priority
Comment 1 Craig Lawson 2003-06-24 15:37:49 EDT
My mistake -- it was paging for at least 30 minutes before I reset it. I 
discovered that just now because my clock was behind by 30 minutes! Apparently, 
all the paging activity significantly delayed the system clock, and because I 
was using NTP, the OS wrote the delayed values to the hardware clock. Something 
is seriously wrong if excessive paging can mess with the system clock.
Comment 2 Alan Cox 2003-06-27 16:37:00 EDT
Please can you attach a dmesg after boot and info on how much ram you have
Comment 3 Craig Lawson 2003-06-28 03:22:30 EDT
Created attachment 92662 [details]
dmesg log after boot

My dmesg log after rebooting after the described failure.
I have 512 Mb RAM.
Comment 4 Craig Lawson 2003-07-18 20:57:51 EDT
It happened again today, and here is some more information.

I had several memory soaking apps running. About 90% of my swap space was used 
and 80% of my RAM was in use. My system had been running for only 2.5 hours 
since the last reboot. The major VM users:

  Opera:          314 MB
  Open Office:    262 MB
  Nautilus:       106 MB
  Evolution:      194 MB
  GIMP:            70 MB
 (total of these: 946 MB)

Except for Evolution, all of the other windows were open in the same workspace. 
I was using GIMP. Switching between applications caused some heavy paging and 
mild slugishness. At some point, I saved and then quit GIMP, and then the 
swapping hell began. 15 minutes later, the last of the GIMP windows finally 
disappeared and my system was usable again. While swapping furiously, the mouse 
cursor moved with no hesitation.

I am running gkrellm to show system status, and it froze for the entire 15 
Comment 5 Rik van Riel 2003-07-18 21:22:17 EDT
a patch for this problem was recently added to the Red Hat Linux 9 kernel, I
expect it will be released with one of the next security erratas
Comment 6 Craig Lawson 2003-07-21 04:43:02 EDT
Actually, now I think this is a Gimp bug. See Bug 99485.
Comment 7 Dave Jones 2003-12-16 19:07:57 EST

Note You need to log in before you can comment on or make changes to this bug.